// Теоретический вопрос
//
// Описать своими словами для чего вообще нужны функции в программировании.
// Для вызова и выполнения одинаковых действий в различных местах программы, и тем самым устранить избыточность программного кода.

// Описать своими словами, зачем в функцию передавать аргумент.
// Вход в функцию — это передача ей аргументов - данных, полученных во внешней части программы.


//     Задание
// Реализовать функцию, которая будет производить математические операции с введеными пользователем числами.
//
//     Технические требования:
//
//     Считать с помощью модального окна браузера два числа.
//     Считать с помощью модального окна браузера математическую операцию, которую нужно совершить. Сюда может быть введено +, -, *, /.
// Создать функцию, в которую передать два значения и операцию.
//     Вывести в консоль результат выполнения функции.
//
//
//     Необязательное задание продвинутой сложности:
//
//     После ввода данных добавить проверку их корректности. Если пользователь не ввел числа, либо при вводе указал не числа, - спросить оба числа заново (при этом значением по умолчанию для каждой из переменных должна быть введенная ранее информация).





let firstNumber = '';
let secondNumber = '';

function validateInput() {
    let firstNumber = prompt("Enter first number", "firstNumber");
    let secondNumber = prompt("Enter second number", "secondNumber");
    let mathOperation = prompt("Enter math operation", "");

    if (firstNumber === '' || isNaN(+secondNumber)) {
        validateInput();
    }
    function calc(a, b, op){
        let result = `${a} ${op} ${b}`;

        console.log(result +" = "+ eval(result));


    }
    calc(firstNumber, secondNumber, mathOperation);
}
validateInput();




